org.springframework.ldap.ldif.support

## Enum LineIdentifier

- java.lang.Object
- - java.lang.Enum<LineIdentifier>
  - - org.springframework.ldap.ldif.support.LineIdentifier

- All Implemented Interfaces:
    Serializable, Comparable<LineIdentifier>

      public enum LineIdentifier
      extends Enum<LineIdentifier>

  Enumeration declaring possible event types when parsing LDIF files.
  Author:
    Keith Barlow

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Attribute` Signifies the event when a new attribute is encountered.
    `ChangeType` Record being parsed is a 'changetype' record.
    `Comment` The current line is a comment and should be ignored.
    `Continuation` Indicates the current line parsed is a continuation of the previous line.
    `Control` An LDAP changetype control was encountered.
    `EndOfRecord` Signals the end of record has been reached.
    `NewRecord` Signifies the start of a new record in the file has been encountered: a DN declaration.
    `VersionIdentifier` Every LDIF file may optionally start with a version identifier of the form 'version: 1'.
    `Void` Parsed line should be ignored - used to skip remaining lines in a 'changetype' record.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LineIdentifier` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LineIdentifier[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VersionIdentifier

          public static final LineIdentifier VersionIdentifier

      Every LDIF file may optionally start with a version identifier of the form 'version: 1'.

    - #### NewRecord

          public static final LineIdentifier NewRecord

      Signifies the start of a new record in the file has been encountered: a DN declaration.

    - #### EndOfRecord

          public static final LineIdentifier EndOfRecord

      Signals the end of record has been reached.

    - #### Attribute

          public static final LineIdentifier Attribute

      Signifies the event when a new attribute is encountered.

    - #### Continuation

          public static final LineIdentifier Continuation

      Indicates the current line parsed is a continuation of the previous line.

    - #### Comment

          public static final LineIdentifier Comment

      The current line is a comment and should be ignored.

    - #### Control

          public static final LineIdentifier Control

      An LDAP changetype control was encountered.

    - #### ChangeType

          public static final LineIdentifier ChangeType

      Record being parsed is a 'changetype' record.

    - #### Void

          public static final LineIdentifier Void

      Parsed line should be ignored - used to skip remaining lines in a 'changetype' record.

  - ### Method Detail

    - #### values

          public static LineIdentifier[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LineIdentifier c : LineIdentifier.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LineIdentifier valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null